petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscFVGetComponentName

Get the name of a component (used in output and viewing)

### Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscFVGetComponentName(PetscFV fvm, PetscInt comp, const char **name)

Logically collective on PetscFV

### Input Parameters

| fvm | - the PetscFV object
| comp | - the component number

### Output Parameter

name -the component name

### See Also

PetscFVSetComponentName()

### Level

developer

### Location

src/dm/dt/interface/dtfv.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages